Merge commit 'refs/top-bases/top' into top

This commit is contained in:
Brian Behlendorf 2008-12-12 08:53:36 -08:00
commit 86ef7df571
11 changed files with 96 additions and 347 deletions

1
cmd/Makefile.am Normal file
View File

@ -0,0 +1 @@
SUBDIRS = zdb zdump zfs zinject zpool ztest

12
cmd/zdb/Makefile.am Normal file
View File

@ -0,0 +1,12 @@
include $(top_srcdir)/config/Rules.am
DEFAULT_INCLUDES = -I${top_srcdir}/lib/libspl/include
sbin_PROGRAMS = zdb
zdb_SOURCES = \
zdb.c \
zdb_il.c
zdump_LDADD = \
$(top_builddir)/lib/libspl/libspl.la

11
cmd/zdump/Makefile.am Normal file
View File

@ -0,0 +1,11 @@
include $(top_srcdir)/config/Rules.am
DEFAULT_INCLUDES = -I${top_srcdir}/lib/libspl/include
sbin_PROGRAMS = zdump
zdump_SOURCES = \
zdump.c
zdump_LDADD = \
$(top_builddir)/lib/libspl/libspl.la

14
cmd/zfs/Makefile.am Normal file
View File

@ -0,0 +1,14 @@
include $(top_srcdir)/config/Rules.am
DEFAULT_INCLUDES = -I${top_srcdir}/lib/libspl/include
sbin_PROGRAMS = zfs
zfs_SOURCES = \
zfs_iter.c \
zfs_iter.h \
zfs_main.c \
zfs_util.h
zfs_LDADD = \
$(top_builddir)/lib/libspl/libspl.la

13
cmd/zinject/Makefile.am Normal file
View File

@ -0,0 +1,13 @@
include $(top_srcdir)/config/Rules.am
DEFAULT_INCLUDES = -I${top_srcdir}/lib/libspl/include
sbin_PROGRAMS = zinject
zinject_SOURCES = \
translate.c \
zinject.ci \
zinject.h
zinject_LDADD = \
$(top_builddir)/lib/libspl/libspl.la

15
cmd/zpool/Makefile.am Normal file
View File

@ -0,0 +1,15 @@
include $(top_srcdir)/config/Rules.am
DEFAULT_INCLUDES = -I${top_srcdir}/lib/libspl/include
sbin_PROGRAMS = zpool
zpool_SOURCES = \
zpool_iter.c \
zpool_main.c \
zpool_util.c \
zpool_util.h \
zpool_vdev.c
zpool_LDADD = \
$(top_builddir)/lib/libspl/libspl.la

11
cmd/ztest/Makefile.am Normal file
View File

@ -0,0 +1,11 @@
include $(top_srcdir)/config/Rules.am
DEFAULT_INCLUDES = -I${top_srcdir}/lib/libspl/include
sbin_PROGRAMS = ztest
ztest_SOURCES = \
ztest.c
ztest_LDADD = \
$(top_builddir)/lib/libspl/libspl.la

329
configure vendored
View File

@ -19200,19 +19200,6 @@ echo "${ECHO_T}$zfsconfig" >&6;
echo "creating symlinks for additional kernel make targets"
ln -f -s $LIBDIR/libavl/avl.c $LIBDIR/libavl/kavl.c
ln -f -s $LIBDIR/libavl/avl.c $LIBDIR/libavl/uavl.c
ln -f -s $LIBDIR/libnvpair/nvpair.c $LIBDIR/libnvpair/knvpair.c
ln -f -s $LIBDIR/libnvpair/nvpair.c $LIBDIR/libnvpair/unvpair.c
ln -f -s $LIBDIR/libzcommon/zfs_deleg.c $LIBDIR/libzcommon/kzfs_deleg.c
ln -f -s $LIBDIR/libzcommon/zfs_prop.c $LIBDIR/libzcommon/kzfs_prop.c
ln -f -s $LIBDIR/libzcommon/zprop_common.c $LIBDIR/libzcommon/kzprop_common.c
ln -f -s $LIBDIR/libzcommon/zfs_namecheck.c $LIBDIR/libzcommon/kzfs_namecheck.c
ln -f -s $LIBDIR/libzcommon/zfs_comutil.c $LIBDIR/libzcommon/kzfs_comutil.c
ln -f -s $LIBDIR/libzcommon/zpool_prop.c $LIBDIR/libzcommon/kzpool_prop.c
;;
user) ;;
lustre) ;;
@ -19353,272 +19340,6 @@ rm -f build/conftest.o build/conftest.mod.c build/conftest.mod.o build/conftest.
EXTRA_KCFLAGS="$tmp_flags"
# Check for needed userspace bits
for ac_header in sys/types.h sys/byteorder.h sys/isa_defs.h \
sys/systeminfo.h sys/u8_textprep.h libdiskmgt.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo "$as_me:$LINENO: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
else
# Is the header compilable?
echo "$as_me:$LINENO: checking $ac_header usability" >&5
echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <$ac_header>
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6
# Is the header present?
echo "$as_me:$LINENO: checking $ac_header presence" >&5
echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <$ac_header>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
else
ac_cpp_err=
fi
else
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
(
cat <<\_ASBOX
## ------------------------------------------ ##
## Report this to the AC_PACKAGE_NAME lists. ##
## ------------------------------------------ ##
_ASBOX
) |
sed "s/^/$as_me: WARNING: /" >&2
;;
esac
echo "$as_me:$LINENO: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
eval "$as_ac_Header=\$ac_header_preproc"
fi
echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
fi
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<_ACEOF
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF
fi
done
for ac_func in strlcat strlcpy strnlen issetugid setmntent getexecname
do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
echo "$as_me:$LINENO: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
For example, HP-UX 11i <limits.h> declares gettimeofday. */
#define $ac_func innocuous_$ac_func
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below.
Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
<limits.h> exists even on freestanding compilers. */
#ifdef __STDC__
# include <limits.h>
#else
# include <assert.h>
#endif
#undef $ac_func
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
{
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char $ac_func ();
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */
#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me
#else
char (*f) () = $ac_func;
#endif
#ifdef __cplusplus
}
#endif
int
main ()
{
return f != $ac_func;
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_var=yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
eval "$as_ac_var=no"
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
fi
echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
if test `eval echo '${'$as_ac_var'}'` = yes; then
cat >>confdefs.h <<_ACEOF
#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
_ACEOF
fi
done
echo "$as_me:$LINENO: checking for libdiskmgt_error in -ldiskmgt" >&5
echo $ECHO_N "checking for libdiskmgt_error in -ldiskmgt... $ECHO_C" >&6
if test "${ac_cv_lib_diskmgt_libdiskmgt_error+set}" = set; then
@ -19943,9 +19664,9 @@ rm -f conftest*
#AC_DEFINE([WANT_FAKE_IOCTL], 1, ["Define to 1 to use fake ioctl() support"])
#AC_DEFINE([HAVE_DM_INUSE_SWAP], 1, ["None"])
#AC_DEFINE([HAVE_UNICODE], 1, ["None"])
#AC_DEFINE([HAVE_INTTYPES], 1, [Define to 1 if unint16 defined in <sys/types.h> header file])
#AC_DEFINE([HAVE_INTTYPES], 1, [Define to 1 if unint16 defined in <sys/types.h>])
ac_config_files="$ac_config_files Makefile config/Makefile doc/Makefile scripts/Makefile zfs/Makefile zfs/lib/Makefile zfs/lib/libnvpair/include/sys/Makefile zfs/lib/libnvpair/include/Makefile zfs/lib/libnvpair/Makefile zfs/lib/libavl/include/sys/Makefile zfs/lib/libavl/include/Makefile zfs/lib/libavl/Makefile zfs/lib/libuutil/include/Makefile zfs/lib/libuutil/Makefile zfs/lib/libzfs/include/Makefile zfs/lib/libzfs/Makefile zfs/lib/libzcommon/include/Makefile zfs/lib/libzcommon/include/sys/fm/fs/Makefile zfs/lib/libzcommon/include/sys/fm/Makefile zfs/lib/libzcommon/include/sys/Makefile zfs/lib/libzcommon/include/sys/fs/Makefile zfs/lib/libzcommon/Makefile zfs/lib/libzpool/Makefile zfs/lib/libspl/include/sys/Makefile zfs/lib/libspl/include/Makefile zfs/lib/libspl/Makefile zfs/lib/libzpios/Makefile zfs/zcmd/ztest/Makefile zfs/zcmd/Makefile zfs/zcmd/zfs/Makefile zfs/zcmd/zdb/Makefile zfs/zcmd/zinject/Makefile zfs/zcmd/zdump/Makefile zfs/zcmd/zpool/Makefile zfs/zcmd/zpios/Makefile"
ac_config_files="$ac_config_files Makefile config/Makefile doc/Makefile scripts/Makefile lib/Makefile lib/libavl/Makefile lib/libnvpair/Makefile lib/libuutil/Makefile lib/libzcommon/Makefile lib/libzpool/Makefile lib/libzfs/Makefile cmd/Makefile cmd/zdb/Makefile cmd/zdump/Makefile cmd/zfs/Makefile cmd/zinject/Makefile cmd/zpool/Makefile cmd/ztest/Makefile cmd/zpios/Makefile"
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
@ -20514,37 +20235,21 @@ do
"config/Makefile" ) CONFIG_FILES="$CONFIG_FILES config/Makefile" ;;
"doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
"scripts/Makefile" ) CONFIG_FILES="$CONFIG_FILES scripts/Makefile" ;;
"zfs/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/Makefile" ;;
"zfs/lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/Makefile" ;;
"zfs/lib/libnvpair/include/sys/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libnvpair/include/sys/Makefile" ;;
"zfs/lib/libnvpair/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libnvpair/include/Makefile" ;;
"zfs/lib/libnvpair/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libnvpair/Makefile" ;;
"zfs/lib/libavl/include/sys/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libavl/include/sys/Makefile" ;;
"zfs/lib/libavl/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libavl/include/Makefile" ;;
"zfs/lib/libavl/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libavl/Makefile" ;;
"zfs/lib/libuutil/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libuutil/include/Makefile" ;;
"zfs/lib/libuutil/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libuutil/Makefile" ;;
"zfs/lib/libzfs/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libzfs/include/Makefile" ;;
"zfs/lib/libzfs/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libzfs/Makefile" ;;
"zfs/lib/libzcommon/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libzcommon/include/Makefile" ;;
"zfs/lib/libzcommon/include/sys/fm/fs/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libzcommon/include/sys/fm/fs/Makefile" ;;
"zfs/lib/libzcommon/include/sys/fm/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libzcommon/include/sys/fm/Makefile" ;;
"zfs/lib/libzcommon/include/sys/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libzcommon/include/sys/Makefile" ;;
"zfs/lib/libzcommon/include/sys/fs/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libzcommon/include/sys/fs/Makefile" ;;
"zfs/lib/libzcommon/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libzcommon/Makefile" ;;
"zfs/lib/libzpool/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libzpool/Makefile" ;;
"zfs/lib/libspl/include/sys/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libspl/include/sys/Makefile" ;;
"zfs/lib/libspl/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libspl/include/Makefile" ;;
"zfs/lib/libspl/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libspl/Makefile" ;;
"zfs/lib/libzpios/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/lib/libzpios/Makefile" ;;
"zfs/zcmd/ztest/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/zcmd/ztest/Makefile" ;;
"zfs/zcmd/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/zcmd/Makefile" ;;
"zfs/zcmd/zfs/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/zcmd/zfs/Makefile" ;;
"zfs/zcmd/zdb/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/zcmd/zdb/Makefile" ;;
"zfs/zcmd/zinject/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/zcmd/zinject/Makefile" ;;
"zfs/zcmd/zdump/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/zcmd/zdump/Makefile" ;;
"zfs/zcmd/zpool/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/zcmd/zpool/Makefile" ;;
"zfs/zcmd/zpios/Makefile" ) CONFIG_FILES="$CONFIG_FILES zfs/zcmd/zpios/Makefile" ;;
"lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
"lib/libavl/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/libavl/Makefile" ;;
"lib/libnvpair/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/libnvpair/Makefile" ;;
"lib/libuutil/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/libuutil/Makefile" ;;
"lib/libzcommon/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/libzcommon/Makefile" ;;
"lib/libzpool/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/libzpool/Makefile" ;;
"lib/libzfs/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/libzfs/Makefile" ;;
"cmd/Makefile" ) CONFIG_FILES="$CONFIG_FILES cmd/Makefile" ;;
"cmd/zdb/Makefile" ) CONFIG_FILES="$CONFIG_FILES cmd/zdb/Makefile" ;;
"cmd/zdump/Makefile" ) CONFIG_FILES="$CONFIG_FILES cmd/zdump/Makefile" ;;
"cmd/zfs/Makefile" ) CONFIG_FILES="$CONFIG_FILES cmd/zfs/Makefile" ;;
"cmd/zinject/Makefile" ) CONFIG_FILES="$CONFIG_FILES cmd/zinject/Makefile" ;;
"cmd/zpool/Makefile" ) CONFIG_FILES="$CONFIG_FILES cmd/zpool/Makefile" ;;
"cmd/ztest/Makefile" ) CONFIG_FILES="$CONFIG_FILES cmd/ztest/Makefile" ;;
"cmd/zpios/Makefile" ) CONFIG_FILES="$CONFIG_FILES cmd/zpios/Makefile" ;;
"depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
"zfs_config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS zfs_config.h" ;;
*) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5

View File

@ -11,4 +11,4 @@ libnvpair_la_SOURCES = libnvpair.c \
include/libnvpair.h
${moddir}/nvpair/nvpair.c \
${moddir}/nvpair/include/sys/nvpair.h \
${moddir}/nvpair/include/sys/nvpair_impl.h \
${moddir}/nvpair/include/sys/nvpair_impl.h

View File

@ -17,4 +17,4 @@ libzfs_la_SOURCES = ${moddir}/zcommon/zfs_comutil.c \
${moddir}/zcommon/include/zfs_comutil.h \
${moddir}/zcommon/include/zfs_deleg.h \
${moddir}/zcommon/include/zfs_namecheck.h \
${moddir}/zcommon/include/zfs_prop.h \
${moddir}/zcommon/include/zfs_prop.h

View File

@ -6,9 +6,6 @@
/* Define to 1 if you have the <dlfcn.h> header file. */
#undef HAVE_DLFCN_H
/* Define to 1 if you have the `getexecname' function. */
#undef HAVE_GETEXECNAME
/* Define to 1 if you have the <inttypes.h> header file. */
#undef HAVE_INTTYPES_H
@ -21,15 +18,9 @@
/* Define to 1 if ioctl() is defined in <unistd.h> header file */
#undef HAVE_IOCTL_IN_UNISTD_H
/* Define to 1 if you have the `issetugid' function. */
#undef HAVE_ISSETUGID
/* Define to 1 if 'libdiskmgt' library available */
#undef HAVE_LIBDISKMGT
/* Define to 1 if you have the <libdiskmgt.h> header file. */
#undef HAVE_LIBDISKMGT_H
/* Define to 1 if 'libefi' library available */
#undef HAVE_LIBEFI
@ -39,9 +30,6 @@
/* Define to 1 if you have the <memory.h> header file. */
#undef HAVE_MEMORY_H
/* Define to 1 if you have the `setmntent' function. */
#undef HAVE_SETMNTENT
/* Define to 1 if you have the <stdint.h> header file. */
#undef HAVE_STDINT_H
@ -57,36 +45,15 @@
/* Define to 1 if you have the <string.h> header file. */
#undef HAVE_STRING_H
/* Define to 1 if you have the `strlcat' function. */
#undef HAVE_STRLCAT
/* Define to 1 if you have the `strlcpy' function. */
#undef HAVE_STRLCPY
/* Define to 1 if you have the `strnlen' function. */
#undef HAVE_STRNLEN
/* Define to 1 if sysinfo() is defined in <sys/systeminfo.h> header file */
#undef HAVE_SYSINFO_IN_SYS_SYSTEMINFO_H
/* Define to 1 if you have the <sys/byteorder.h> header file. */
#undef HAVE_SYS_BYTEORDER_H
/* Define to 1 if you have the <sys/isa_defs.h> header file. */
#undef HAVE_SYS_ISA_DEFS_H
/* Define to 1 if you have the <sys/stat.h> header file. */
#undef HAVE_SYS_STAT_H
/* Define to 1 if you have the <sys/systeminfo.h> header file. */
#undef HAVE_SYS_SYSTEMINFO_H
/* Define to 1 if you have the <sys/types.h> header file. */
#undef HAVE_SYS_TYPES_H
/* Define to 1 if you have the <sys/u8_textprep.h> header file. */
#undef HAVE_SYS_U8_TEXTPREP_H
/* Define to 1 if you have the <unistd.h> header file. */
#undef HAVE_UNISTD_H